MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025820Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-02-12 10:002015-10-23 20:51
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0025820: No Intersection Curves between surface of revolution and planes
DescriptionNo Intersection curves between surface of revolution and planes.

No intersection curves leads to the collapse of Boolean Operator.

Steps To Reproduce#Use the following commands to reproduce the problem:

SCRIPT # 1
restore Revolution_5.brep b1
explode b1 f
copy b1_4 b1

restore Translation_1.brep b2
explode b2 f
copy b2_2 b2

bopcurves b1 b2
#On MASTER: has no 3d curve
#On FIX:
Tolerance Reached=9.9799861823340899e-008 (< 1.0e-7 => GOOD)
1 curve(s) found. => GOOD

###########################################
SCRIPT # 2

restore Revolution_5.brep b1
explode b1 f
copy b1_4 b1

restore Translation_2.brep b2
explode b2 f
copy b2_4 b2

bopcurves b1 b2
#On MASTER: has no 3d curve
#On FIX:
Tolerance Reached=9.0349329996115047e-008 (< 1.0e-7 => GOOD)
1 curve(s) found. => GOOD

############################################
SCRIPT # 3

restore Revolution_5.brep b1
explode b1 f
copy b1_4 b1

restore Translation_3.brep b2
explode b2 f
copy b2_3 b2

bopcurves b1 b2
#On MASTER: has no 3d curve
#On FIX:
Tolerance Reached=9.0394675915401181e-008 (< 1.0e-7 => GOOD)
1 curve(s) found. => GOOD


Please do not forget about pictures in every scripts:
donly b1 b2 c_*
Additional information
and documentation updates
Data files can be found in:
http://tracker.dev.opencascade.org/view.php?id=25648 [^]
TagsNo tags attached.
Test case numberbugs modalg_6 bug25820_1, bug25820_2, bug25820_3
Attached Files

- Relationships
child of 0025648assignedpkv Community common operation error on some objects 

-  Notes
(0041959)
git (administrator)
2015-06-05 09:26

Branch CR25820 has been created by nbv.

SHA-1: e327afa033a07ea74ff0fd4cb56fac9695c51f2f


Detailed log of new commits:

Author: nbv
Date: Mon Jun 1 11:35:41 2015 +0300

    0025820: No Intersection Curves between surface of revolution and planes
    
    Thin shapes processing has been improved.
(0041960)
nbv (developer)
2015-06-05 09:41

Dear Mikhail,

Please review CR25820 branch.
(0041997)
msv (developer)
2015-06-05 17:31

Reviewed.
(0041998)
git (administrator)
2015-06-05 17:51

Branch CR25820 has been updated forcibly by apv.

SHA-1: 050b13b5cc82ce46caa727fbd28fa524b15085f9
(0041999)
apv (tester)
2015-06-05 17:52

Branch CR25820 has been rebased on the current master.
(0042045)
git (administrator)
2015-06-09 11:46

Branch CR25820 has been updated by apv.

SHA-1: 40cf4557befe0ba8c1c98554dd8f4a68d5bc0fc4


Detailed log of new commits:

Author: apv
Date: Tue Jun 9 11:45:49 2015 +0300

    Test-cases for issue 0025820

(0042046)
apv (tester)
2015-06-09 11:50
edited on: 2015-06-09 11:52

Dear BugMaster,

Branch CR25820 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 050b13b5cc82ce46caa727fbd28fa524b15085f9

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug25820_1 - OK
http://occt-tests/CR25820-master-occt-64/Debian70-64/bugs/modalg_6/bug25820_1.html [^]
http://occt-tests/CR25820-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug25820_1.html [^]
bugs modalg_6 bug25820_2 - OK
http://occt-tests/CR25820-master-occt-64/Debian70-64/bugs/modalg_6/bug25820_2.html [^]
http://occt-tests/CR25820-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug25820_2.html [^]
bugs modalg_6 bug25820_3 - OK
http://occt-tests/CR25820-master-occt-64/Debian70-64/bugs/modalg_6/bug25820_3.html [^]
http://occt-tests/CR25820-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug25820_3.html [^]

Testing on Linux:
Total MEMORY difference: 96570778 / 96555833 [+0.02%]
Total CPU difference: 17930.699999999775 / 18214.689999999988 [-1.56%]

Testing on Windows:
Total MEMORY difference: 56497663 / 56529357 [-0.06%]
Total CPU difference: 17140.219872498816 / 17207.643504698946 [-0.39%]

There are differences in images found by testdiff:
http://occt-tests/CR25820-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25820-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
bugs modalg_5 bug23625_2

(0042056)
nbv (developer)
2015-06-09 15:13

Dear Mikhail,

Please confirm message http://tracker.dev.opencascade.org/view.php?id=25820#c42055. [^]

If it is OK then assign to apv (with feedback status). The bug should be TESTED.
(0042061)
msv (developer)
2015-06-09 17:36

I would like that Nikolay analyzed possibility of using separate value of tolerance for each dimension.
(0042066)
git (administrator)
2015-06-09 18:02

Branch CR25820_1 has been created by nbv.

SHA-1: 388601f7f786a624a040a9042772745a7b5a54ea


Detailed log of new commits:

Author: nbv
Date: Tue Jun 9 17:58:09 2015 +0300

    0025820: No Intersection Curves between surface of revolution and planes
    
    Thin shapes processing has been improved.
    
    Test-cases for issue 0025820
(0042067)
nbv (developer)
2015-06-09 18:04

Dear testers,

Ask to pay attention to the fact that the message http://tracker.dev.opencascade.org/view.php?id=25820#c42055 [^] is actual for CR25820_1 branch.
(0042068)
nbv (developer)
2015-06-09 18:05

Dear Mikhail,

Please review the current state of CR25820_1 branch.
(0042080)
git (administrator)
2015-06-10 13:12

Branch CR25820_1 has been updated by nbv.

SHA-1: 13fd96d1b5eee8c775a04b487af33f323a280963


Detailed log of new commits:

Author: nbv
Date: Wed Jun 10 13:12:18 2015 +0300

    Comment has been changed

(0042082)
msv (developer)
2015-06-10 14:05

Reviewed.
(0042083)
git (administrator)
2015-06-10 14:37

Branch CR25820_1 has been updated forcibly by mkv.

SHA-1: 767ecfc6b552049011f17fef3fb8a3791e08fa14
(0042115)
mkv (tester)
2015-06-11 18:38

Dear BugMaster,
Branch CR25820_1 was rebased on current master of occt git-repository.
SHA-1: 767ecfc6b552049011f17fef3fb8a3791e08fa14
(0042116)
mkv (tester)
2015-06-11 18:39

Dear BugMaster,
Branch CR25820_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 767ecfc6b552049011f17fef3fb8a3791e08fa14

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR25820-1-master-products-64/Debian70-64/parasolid/doc_1/A3.html [^]
parasolid doc_1 A3: FAILED
http://occt-tests/CR25820-1-master-products-64/Debian70-64/parasolid/doc_3/C3.html [^]
parasolid doc_3 C3: FAILED
http://occt-tests/CR25820-1-master-products-64/Debian70-64/sat/doc_1/C7.html [^]
sat doc_1 C7: FAILED
http://occt-tests/CR25820-1-master-products-64/Debian70-64/sat/doc_5/H6.html [^]
sat doc_5 H6: FAILED
http://occt-tests/CR25820-1-master-products-64/Debian70-64/sat/load/B9.html [^]
sat load B9: FAILED
http://occt-tests/CR25820-1-master-products-64/Debian70-64/sat/simple/B9.html [^]
sat simple B9: FAILED

Testing cases:
http://occt-tests/CR25820-1-master-occt-64/Debian70-64/bugs/modalg_6/bug25820_1.html [^]
http://occt-tests/CR25820-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug25820_1.html [^]
bugs modalg_6 bug25820_1: OK
http://occt-tests/CR25820-1-master-occt-64/Debian70-64/bugs/modalg_6/bug25820_2.html [^]
http://occt-tests/CR25820-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug25820_2.html [^]
bugs modalg_6 bug25820_2: OK
http://occt-tests/CR25820-1-master-occt-64/Debian70-64/bugs/modalg_6/bug25820_3.html [^]
http://occt-tests/CR25820-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug25820_3.html [^]
bugs modalg_6 bug25820_3: OK

Testing on Linux:
occt component :
Total MEMORY difference: 96883668 / 97482489 [-0.61%]
Total CPU difference: 18192.33000000004 / 18345.25000000008 [-0.83%]
products component :
Total MEMORY difference: 23631478 / 23869137 [-1.00%]
Total CPU difference: 7751.990000000024 / 7639.920000000022 [+1.47%]

Testing on Windows:
occt component :
Total MEMORY difference: 56507271 / 56453339 [+0.10%]
Total CPU difference: 17335.33032319907 / 17040.457232998906 [+1.73%]
products component :
Total MEMORY difference: 15396802 / 15400943 [-0.03%]
Total CPU difference: 6229.837534599955 / 6164.114313299954 [+1.07%]

There are following differences in images found by testdiff.
http://occt-tests/CR25820-1-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25820-1-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE bugs modalg_5 bug23625_2: bug23625_2.png differs
(0042128)
nbv (developer)
2015-06-15 09:44

Dear MKV,

About differences in image, see http://tracker.dev.opencascade.org/view.php?id=25820#c42055 [^] message.

About regression on product tests:
There are corresponding TODOs in every regression test case for Linux platform.
E.g. for test case "sat simple B9" there is
"TODO ?OCC24440 Linux: Error : 1 differences with reference data found"

Why is it not active?

Therefore, they are not regressions.
(0042146)
mkv (tester)
2015-06-15 13:54

OK,
Branch CR25820_1 is TESTED.
(0044234)
git (administrator)
2015-08-14 10:58

Branch CR25820_1 has been deleted by inv.

SHA-1: 767ecfc6b552049011f17fef3fb8a3791e08fa14
(0044235)
git (administrator)
2015-08-14 10:58

Branch CR25820 has been deleted by inv.

SHA-1: 40cf4557befe0ba8c1c98554dd8f4a68d5bc0fc4

- Related Changesets
occt: master c0e32b3c
Timestamp: 2015-06-18 10:30:34
Author: nbv
Committer: bugmaster
Details ] Diff ]
0025820: No Intersection Curves between surface of revolution and planes

Thin shapes processing has been improved.

Test-cases for issue 0025820

Comment has been changed
mod - src/IntPatch/IntPatch_WLine.cxx Diff ] File ]
mod - src/IntWalk/IntWalk_IWalking_5.gxx Diff ] File ]
add - tests/bugs/modalg_6/bug25820_1 Diff ] File ]
add - tests/bugs/modalg_6/bug25820_2 Diff ] File ]
add - tests/bugs/modalg_6/bug25820_3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-12 10:00 pkv New Issue
2015-02-12 10:00 pkv Assigned To => msv
2015-02-12 10:00 pkv Relationship added child of 0025648
2015-02-12 10:01 pkv Status new => assigned
2015-04-17 00:02 abv Target Version 6.9.0 => 7.1.0
2015-05-25 12:15 msv Assigned To msv => nbv
2015-06-05 09:26 git Note Added: 0041959
2015-06-05 09:41 nbv Note Added: 0041960
2015-06-05 09:41 nbv Assigned To nbv => msv
2015-06-05 09:41 nbv Status assigned => resolved
2015-06-05 09:41 nbv Steps to Reproduce Updated View Revisions
2015-06-05 17:31 msv Note Added: 0041997
2015-06-05 17:31 msv Assigned To msv => bugmaster
2015-06-05 17:31 msv Status resolved => reviewed
2015-06-05 17:43 apv Assigned To bugmaster => apv
2015-06-05 17:51 git Note Added: 0041998
2015-06-05 17:52 apv Note Added: 0041999
2015-06-09 11:46 git Note Added: 0042045
2015-06-09 11:46 apv Test case number => bugs modalg_6 bug25820_1, bug25820_2, bug25820_3
2015-06-09 11:50 apv Note Added: 0042046
2015-06-09 11:50 apv Assigned To apv => bugmaster
2015-06-09 11:50 apv Status reviewed => tested
2015-06-09 11:52 apv Note Edited: 0042046 View Revisions
2015-06-09 13:07 nbv Assigned To bugmaster => nbv
2015-06-09 13:07 nbv Status tested => feedback
2015-06-09 15:10 nbv Assigned To nbv => msv
2015-06-09 15:13 nbv Note Added: 0042056
2015-06-09 17:36 msv Note Added: 0042061
2015-06-09 17:36 msv Assigned To msv => nbv
2015-06-09 18:02 git Note Added: 0042066
2015-06-09 18:04 nbv Note Added: 0042067
2015-06-09 18:05 nbv Note Added: 0042068
2015-06-09 18:05 nbv Assigned To nbv => msv
2015-06-09 18:05 nbv Status feedback => resolved
2015-06-10 13:12 git Note Added: 0042080
2015-06-10 14:05 msv Note Added: 0042082
2015-06-10 14:05 msv Assigned To msv => bugmaster
2015-06-10 14:05 msv Status resolved => reviewed
2015-06-10 14:10 mkv Assigned To bugmaster => mkv
2015-06-10 14:37 git Note Added: 0042083
2015-06-11 18:38 mkv Note Added: 0042115
2015-06-11 18:39 mkv Note Added: 0042116
2015-06-11 18:39 mkv Assigned To mkv => nbv
2015-06-11 18:39 mkv Status reviewed => feedback
2015-06-15 09:44 nbv Note Added: 0042128
2015-06-15 09:44 nbv Assigned To nbv => mkv
2015-06-15 13:54 mkv Note Added: 0042146
2015-06-15 13:54 mkv Assigned To mkv => bugmaster
2015-06-15 13:54 mkv Status feedback => tested
2015-06-19 11:49 bugmaster Changeset attached => occt master c0e32b3c
2015-06-19 11:49 bugmaster Status tested => verified
2015-06-19 11:49 bugmaster Resolution open => fixed
2015-07-03 15:31 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:58 git Note Added: 0044234
2015-08-14 10:58 git Note Added: 0044235
2015-08-26 11:14 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker